GrailsProjectLoader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.loader
[Groovy] Class GrailsProjectLoader

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.loader.GrailsProjectLoader

    class GrailsProjectLoader
    extends BaseSettingsApi

Capable of bootstrapping a Grails project and returning the loaded ApplicationContext

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`org.springframework.context.ApplicationContext` | `applicationContext`
`boolean` | `applicationLoaded`
`org.springframework.context.ApplicationContext` | `parentContext`
`GrailsPluginManager` | `pluginManager`
`GrailsProjectPackager` | `projectPackager`
`javax.servlet.ServletContext` | `servletContext`

Constructor Summary
`GrailsProjectLoader(BuildSettings buildSettings)`
`GrailsProjectLoader(GrailsProjectPackager projectPackager)`

Method Summary
`org.springframework.context.ApplicationContext` | `configureApplication()` Configures the Grails application and builds an ApplicationContext
`protected void` | `configureJndi(GrailsApplication grailsApplication)`
`protected BeanBuilder` | `defineParentBeans(WebBeanBuilder builder)`
`GrailsApplication` | `loadApplication()` Loads the Grails application object @return
`protected void` | `registerPluginManagerWithContext(org.springframework.context.ApplicationContext ctx)`

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    org.springframework.context.ApplicationContext applicationContext

### applicationLoaded

    boolean applicationLoaded

### parentContext

    org.springframework.context.ApplicationContext parentContext

### pluginManager

    GrailsPluginManager pluginManager

### projectPackager

    GrailsProjectPackager projectPackager

### servletContext

    javax.servlet.ServletContext servletContext

Constructor Detail

### GrailsProjectLoader

    GrailsProjectLoader(BuildSettings buildSettings)

### GrailsProjectLoader

    GrailsProjectLoader(GrailsProjectPackager projectPackager)

Method Detail

### configureApplication

    @groovy.transform.CompileStatic
    org.springframework.context.ApplicationContext configureApplication()

  Configures the Grails application and builds an ApplicationContext
  Returns:
    The ApplicationContext

### configureJndi

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void configureJndi(GrailsApplication grailsApplication)

### defineParentBeans

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected BeanBuilder defineParentBeans(WebBeanBuilder builder)

### loadApplication

    @groovy.transform.CompileStatic
    GrailsApplication loadApplication()

  Loads the Grails application object
  Returns:

### registerPluginManagerWithContext

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void registerPluginManagerWithContext(org.springframework.context.ApplicationContext ctx)

Groovy Documentation